<template>
  <div>
    <diy-tabs @get-tab='getTab' :useSceneMap="useSceneMap" :useSceneArray="useSceneArray"></diy-tabs>
    <hot-content-area :componentId='tabName' :key="tabName"></hot-content-area>
  </div>
</template>

<script>
import diyTabs from '@/views/diy-form/set-up/components/diyTabs.vue'
import hotContentArea from './hotContentArea.vue'
import { useSceneMap, useSceneArray } from '../commonData'
export default {
  name: 'diy-set-up',
  components: { diyTabs, hotContentArea },
  props: ['diyDes'],
  data () {
    return {
      tabName: null,
      useSceneMap,
      useSceneArray
    }
  },
  methods: {
    getTab (value) {
      this.tabName = value
    }
  }
}
</script>
<style scoped lang="scss">
</style>
